> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/offerings/dosespot/search-supplies-considering-at-least-one-or-more-given-parameters.md).

# Search supplies considering at least one or more given parameters

Proxies the request to DoseSpot to search supplies by the given filter parameters (such as name or NDC) and returns the matching results.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Offerings/Dosespot"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"App.Http.Resources.Dosespot.SupplyResource":{"type":"object","properties":{"supply_id":{"type":"string","description":"Attributes;"},"ndc":{"type":"string"},"upc":{"type":["string","null"]},"name":{"type":"string"},"otc":{"type":["string","null"]},"is_obsolete":{"anyOf":[{"type":"string"},{"type":"boolean"}]},"dosespot_supply_id":{"type":"string","description":"keep conpability;"}},"required":["supply_id","ndc","upc","name","otc","is_obsolete","dosespot_supply_id"],"title":"App.Http.Resources.Dosespot.SupplyResource"}},"responses":{"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/supplies/search":{"get":{"operationId":"supply.searchDosespotSupplies","description":"Proxies the request to DoseSpot to search supplies by the given filter parameters\n(such as name or NDC) and returns the matching results.","summary":"Search supplies considering at least one or more given parameters","tags":["Offerings/Dosespot"],"parameters":[{"name":"name","in":"query","schema":{"type":["string","null"],"minLength":3}},{"name":"ndc","in":"query","schema":{"type":["string","null"]}}],"responses":{"200":{"description":"Get the dosespot's supplies;","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/App.Http.Resources.Dosespot.SupplyResource"}}}}},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/offerings/dosespot/search-supplies-considering-at-least-one-or-more-given-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
